import api from '@/utils/request';

export const getPage = params =>
	api.post(`/yxl-back-end/admin/photo-warehouse/page`, params);
export const getCount = params =>
	api.post(`/yxl-back-end/admin/photo-warehouse/count`, params);
export const getItem = ({ id, ...params }) =>
	api.get(`/yxl-back-end/admin/photo-warehouse/${id}`, params);
export const saveItem = params =>
	api.post(`/yxl-back-end/admin/photo-warehouse`, params);
export const delItem = ({ id, ...params }) =>
	api.del(`/yxl-back-end/admin/photo-warehouse/${id}`, params);
export const auditItem = params =>
  api.post(`/yxl-back-end/admin/photo-warehouse/audit`, params);
export const auditMultiItem = ({ ...params }) =>
  api.post(`/yxl-back-end/admin/photo-warehouse/audit/multi`, params);
export const updateItem = ({ id, ...params }) =>
	api.put(`/yxl-back-end/admin/photo-warehouse/${id}`, params);

export const multUpload = params =>
	api.postData(`/yxl-back-end/admin/photo-warehouse/multupload`, params);
